import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SuiButtonComponent implements OnInit {
    ariaLabel: string;
    disabled: boolean;
    tabLevel: string;
    callBack: EventEmitter<any>;
    title: string;
    color: string;
    size: string;
    class: string;
    fullWidth: boolean;
    iconType: string;
    buttonSize: string;
    buttonColor: string;
    buttonBaseStyles: string;
    iconSize: string;
    buttonWidth: string;
    calculateWidth(fullWidth: boolean): "" | "w-full";
    calculateSize(size: string): string;
    calculateColor(color: string): "text-light-c1 dark:text-dark-c1 bg-light-c6 dark:bg-dark-c6 hover:bg-alerts-hover-primary hover:dark:bg-alerts-hover-primary2" | "text-light-c5 dark:text-dark-c5 border border-light-c4_10 dark:border-dark-c4_10 hover:bg-light-c2 hover:dark:bg-dark-c2" | "text-light-c5 dark:text-dark-c5 hover:bg-light-c2 hover:dark:bg-dark-c2" | "text-alerts-success-text bg-alerts-success-background hover:bg-alerts-hover-success" | "text-alerts-info-text bg-alerts-info-background hover:bg-alerts-hover-info" | "text-alerts-danger-text bg-alerts-danger-background hover:bg-alerts-hover-danger" | "text-alerts-warning-text bg-alerts-warning-background hover:bg-alerts-hover-warning" | "text-light-c1 dark:text-dark-c1 bg-light-c6 dark:bg-dark-c6 hover:bg-light-c2 hover:dark:bg-dark-c2 hover:bg-alerts-hover-primary";
    calculateIconSize(size: string): "h-2 w-2" | "h-4 w-4" | "h-6 w-6" | "h-8 w-8";
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SuiButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SuiButtonComponent, "sui-button", never, { "ariaLabel": "ariaLabel"; "disabled": "disabled"; "tabLevel": "tabLevel"; "title": "title"; "color": "color"; "size": "size"; "class": "class"; "fullWidth": "fullWidth"; "iconType": "iconType"; }, { "callBack": "callBack"; "buttonWidth": "buttonWidth"; }, never, never, false>;
}
