import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SuiIconsComponent implements OnInit {
    iconColor: string;
    iconSize: string;
    iconHoverColor: string;
    type: string;
    size: string;
    color: string;
    hoverColor: string;
    calculateType(type: string): string;
    calculateColor(color: string): "fill-light-c4 dark:fill-dark-c4" | "fill-light-c5 dark:fill-dark-c5" | "fill-alerts-danger-text" | "fill-alerts-success-text" | "fill-alerts-info-text" | "fill-alerts-warning-text" | "fill-light-c6 dark:fill-dark-c6";
    calculateHoverColor(hoverColor: string): "hover:fill-light-c4 dark:hover:fill-dark-c4" | "hover:fill-light-c5 dark:hover:fill-dark-c5" | "hover:fill-alerts-danger-text" | "hover:fill-alerts-success-text" | "hover:fill-alerts-info-text" | "hover:fill-alerts-warning-text" | "hover:fill-light-c6 dark:hover:fill-dark-c6";
    calculateSize(size: string): "h-6 w-6" | "h-8 w-8" | "h-3.5 w-3.5" | "h-5 w-5" | "h-10 w-10" | "h-16 w-16";
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SuiIconsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SuiIconsComponent, "sui-icon", never, { "type": "type"; "size": "size"; "color": "color"; "hoverColor": "hoverColor"; }, {}, never, never, false>;
}
